### Function

# FwupdPlugin size_checked_inc_product

since: 2.1.2

#### Declaration [src]

    gboolean
    fu_size_checked_inc_product (
      gsize* value,
      gsize a,
      gsize b,
      GError** error
    )

#### Description [src]

Performs a checked increment of `value` and `a` x `b`, ensuring the result does not overflow.

NOTE: If the operation does overflow then `value` is not modified.

Available since: 2.1.2

#### Parameters

`value`

  Type: `gsize*`

  The starting and ending value.

  The argument will be modified by the function.

`a`

  Type: `gsize`

  The LHS product value.

`b`

  Type: `gsize`

  The RHS product value.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success.